Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.util
Class PortalTaxonomyConstants

    java.lang.Object
      com.bea.netuix.application.util.PortalTaxonomyConstants

    public class PortalTaxonomyConstants

extends Object

Field Summary
`static String` | `CAT_NODE_ID_BOOKS`
`static String` | `CAT_NODE_ID_CATEGRIES`
`static String` | `CAT_NODE_ID_DESKTOPS`
`static String` | `CAT_NODE_ID_LAYOUT`
`static String` | `CAT_NODE_ID_LOOK_AND_FEEL`
`static String` | `CAT_NODE_ID_MENUS`
`static String` | `CAT_NODE_ID_PAGE_PORTLETS`
`static String` | `CAT_NODE_ID_PAGES`
`static String` | `CAT_NODE_ID_PORTAL`
`static String` | `CAT_NODE_ID_PORTAL_COMM`
`static String` | `CAT_NODE_ID_PORTAL_COMM_TEMPLATES`
`static String` | `CAT_NODE_ID_PORTAL_DESKTOP_TEMPLATES`
`static String` | `CAT_NODE_ID_PORTAL_TEMPLATES`
`static String` | `CAT_NODE_ID_PORTLETS`
`static String` | `CAT_NODE_ID_PROXY_BOOKS`
`static String` | `CAT_NODE_ID_PROXY_PAGES`
`static String` | `CAT_NODE_ID_SHELLS`
`static String` | `CAT_NODE_ID_TEMPLATES`
`static String` | `CAT_NODE_ID_THEMES`
`static String` | `CAT_NODE_ID_WSRP`
`static String[]` | `DA_CAPABILITIES`
`static String` | `DA_CAPABILITY_CAN_MANAGE`
`static String` | `DA_TAXONOMY_BOOK`
`static String` | `DA_TAXONOMY_PAGE`
`static String` | `DA_TAXONOMY_PORTLET`
`static String` | `TAX_LIB_BOOKS`
`static String` | `TAX_LIB_CATEGORIES`
`static String` | `TAX_LIB_COMMUNITY_TEMPLATES`
`static String` | `TAX_LIB_DESKTOP_TEMPLATES`
`static String` | `TAX_LIB_LAF`
`static String` | `TAX_LIB_LAYOUT`
`static String` | `TAX_LIB_MENU`
`static String` | `TAX_LIB_PAGE`
`static String` | `TAX_LIB_PORTLETS`
`static String` | `TAX_LIB_PROXY_BOOKS`
`static String` | `TAX_LIB_PROXY_PAGE`
`static String` | `TAX_LIB_SHELL`
`static String` | `TAX_LIB_TEMPLATES`
`static String` | `TAX_LIB_THEME`
`static String` | `TAX_LIB_WSRP`
`static String` | `TAX_LIBRARY`
`static String` | `TAX_PORTAL`

Constructor Summary
`PortalTaxonomyConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DA_TAXONOMY_BOOK

    public static final String DA_TAXONOMY_BOOK

See Also
  Constants Summary

### DA_TAXONOMY_PAGE

    public static final String DA_TAXONOMY_PAGE

See Also
  Constants Summary

### DA_TAXONOMY_PORTLET

    public static final String DA_TAXONOMY_PORTLET

See Also
  Constants Summary

### DA_CAPABILITY_CAN_MANAGE

    public static final String DA_CAPABILITY_CAN_MANAGE

See Also
  Constants Summary

### CAT_NODE_ID_PORTLETS

    public static final String CAT_NODE_ID_PORTLETS

See Also
  Constants Summary

### CAT_NODE_ID_BOOKS

    public static final String CAT_NODE_ID_BOOKS

See Also
  Constants Summary

### CAT_NODE_ID_PROXY_BOOKS

    public static final String CAT_NODE_ID_PROXY_BOOKS

See Also
  Constants Summary

### CAT_NODE_ID_LAYOUT

    public static final String CAT_NODE_ID_LAYOUT

See Also
  Constants Summary

### CAT_NODE_ID_LOOK_AND_FEEL

    public static final String CAT_NODE_ID_LOOK_AND_FEEL

See Also
  Constants Summary

### CAT_NODE_ID_MENUS

    public static final String CAT_NODE_ID_MENUS

See Also
  Constants Summary

### CAT_NODE_ID_WSRP

    public static final String CAT_NODE_ID_WSRP

See Also
  Constants Summary

### CAT_NODE_ID_CATEGRIES

    public static final String CAT_NODE_ID_CATEGRIES

See Also
  Constants Summary

### CAT_NODE_ID_PAGES

    public static final String CAT_NODE_ID_PAGES

See Also
  Constants Summary

### CAT_NODE_ID_PROXY_PAGES

    public static final String CAT_NODE_ID_PROXY_PAGES

See Also
  Constants Summary

### CAT_NODE_ID_PAGE_PORTLETS

    public static final String CAT_NODE_ID_PAGE_PORTLETS

See Also
  Constants Summary

### CAT_NODE_ID_THEMES

    public static final String CAT_NODE_ID_THEMES

See Also
  Constants Summary

### CAT_NODE_ID_SHELLS

    public static final String CAT_NODE_ID_SHELLS

See Also
  Constants Summary

### CAT_NODE_ID_PORTAL

    public static final String CAT_NODE_ID_PORTAL

See Also
  Constants Summary

### CAT_NODE_ID_DESKTOPS

    public static final String CAT_NODE_ID_DESKTOPS

See Also
  Constants Summary

### CAT_NODE_ID_PORTAL_COMM

    public static final String CAT_NODE_ID_PORTAL_COMM

See Also
  Constants Summary

### CAT_NODE_ID_PORTAL_TEMPLATES

    public static final String CAT_NODE_ID_PORTAL_TEMPLATES

See Also
  Constants Summary

### CAT_NODE_ID_PORTAL_COMM_TEMPLATES

    public static final String CAT_NODE_ID_PORTAL_COMM_TEMPLATES

See Also
  Constants Summary

### CAT_NODE_ID_PORTAL_DESKTOP_TEMPLATES

    public static final String CAT_NODE_ID_PORTAL_DESKTOP_TEMPLATES

See Also
  Constants Summary

### CAT_NODE_ID_TEMPLATES

    public static final String CAT_NODE_ID_TEMPLATES

See Also
  Constants Summary

### DA_CAPABILITIES

    public static final String[] DA_CAPABILITIES

### TAX_LIBRARY

    public static final String TAX_LIBRARY

### TAX_LIB_PORTLETS

    public static final String TAX_LIB_PORTLETS

### TAX_LIB_BOOKS

    public static final String TAX_LIB_BOOKS

### TAX_LIB_PROXY_BOOKS

    public static final String TAX_LIB_PROXY_BOOKS

### TAX_LIB_LAYOUT

    public static final String TAX_LIB_LAYOUT

### TAX_LIB_LAF

    public static final String TAX_LIB_LAF

### TAX_LIB_MENU

    public static final String TAX_LIB_MENU

### TAX_LIB_PAGE

    public static final String TAX_LIB_PAGE

### TAX_LIB_PROXY_PAGE

    public static final String TAX_LIB_PROXY_PAGE

### TAX_LIB_WSRP

    public static final String TAX_LIB_WSRP

### TAX_LIB_CATEGORIES

    public static final String TAX_LIB_CATEGORIES

### TAX_LIB_SHELL

    public static final String TAX_LIB_SHELL

### TAX_LIB_TEMPLATES

    public static final String TAX_LIB_TEMPLATES

### TAX_LIB_THEME

    public static final String TAX_LIB_THEME

### TAX_PORTAL

    public static final String TAX_PORTAL

### TAX_LIB_COMMUNITY_TEMPLATES

    public static final String TAX_LIB_COMMUNITY_TEMPLATES

### TAX_LIB_DESKTOP_TEMPLATES

    public static final String TAX_LIB_DESKTOP_TEMPLATES

Constructor Detail

### PortalTaxonomyConstants

    public PortalTaxonomyConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.